package com.brilliance.isc.vo.lg;


import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.common.trnmod.vo.SwiaddVo;
import com.brilliance.isc.vo.model.Gidgrp;
import com.brilliance.isc.vo.model.Gitp;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

/**
 * Amendment
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class GetopnStoreVo extends BaseTransactionVo {
    private Gidgrp gidgrp;
    private Gidgrp oldgidgrp;
    private Gitp gitp;
    private SwiaddVo swiadd;

    @Override
    public void reset() {
        super.reset();
        if (gidgrp == null) {
            gidgrp = new Gidgrp();
        }
        gidgrp.reset();
        if (oldgidgrp == null) {
            oldgidgrp = new Gidgrp();
        }
        oldgidgrp.reset();
        if (gitp == null) {
            gitp = new Gitp();
        }
        gitp.reset();
        if (swiadd == null) {
            swiadd = new SwiaddVo();
        }
        swiadd.reset();
    }

}